Bug 191177 - [MediaStream] enumerateDevices should not expose devices that are not available to getUserMedia
Summary: [MediaStream] enumerateDevices should not expose devices that are not availab...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebRTC (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Eric Carlson
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-11-01 17:00 PDT by Eric Carlson
Modified: 2018-11-03 06:30 PDT (History)
6 users (show)

See Also:


Attachments
Patch (20.53 KB, patch)
2018-11-01 17:28 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews106 for mac-sierra-wk2 (3.33 MB, application/zip)
2018-11-01 18:29 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews125 for ios-simulator-wk2 (2.74 MB, application/zip)
2018-11-01 19:16 PDT, Build Bot
no flags Details
Patch (24.93 KB, patch)
2018-11-02 09:36 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews107 for mac-sierra-wk2 (3.23 MB, application/zip)
2018-11-02 10:41 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Carlson 2018-11-01 17:00:25 PDT
enumerateDevices should not expose devices that are not available to getUserMedia. See https://github.com/w3c/mediacapture-main/issues/549
Comment 1 Radar WebKit Bug Importer 2018-11-01 17:03:37 PDT
<rdar://problem/45747873>
Comment 2 Eric Carlson 2018-11-01 17:28:42 PDT
Created attachment 353667 [details]
Patch
Comment 3 Build Bot 2018-11-01 18:29:05 PDT
Comment on attachment 353667 [details]
Patch

Attachment 353667 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/9823350

New failing tests:
imported/w3c/web-platform-tests/mediacapture-streams/MediaStream-default-feature-policy.https.html
http/tests/ssl/media-stream/get-user-media-nested.html
http/tests/ssl/media-stream/get-user-media-different-host.html
Comment 4 Build Bot 2018-11-01 18:29:07 PDT
Created attachment 353672 [details]
Archive of layout-test-results from ews106 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 5 Build Bot 2018-11-01 19:15:59 PDT
Comment on attachment 353667 [details]
Patch

Attachment 353667 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/9823454

New failing tests:
imported/w3c/web-platform-tests/mediacapture-streams/MediaStream-default-feature-policy.https.html
http/tests/ssl/media-stream/get-user-media-nested.html
http/tests/ssl/media-stream/get-user-media-different-host.html
Comment 6 Build Bot 2018-11-01 19:16:01 PDT
Created attachment 353675 [details]
Archive of layout-test-results from ews125 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 7 Eric Carlson 2018-11-02 09:36:29 PDT
Created attachment 353705 [details]
Patch
Comment 8 Build Bot 2018-11-02 10:41:50 PDT
Comment on attachment 353705 [details]
Patch

Attachment 353705 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/9832606

New failing tests:
http/tests/security/anchor-download-block-crossorigin.html
Comment 9 Build Bot 2018-11-02 10:41:51 PDT
Created attachment 353713 [details]
Archive of layout-test-results from ews107 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 10 Eric Carlson 2018-11-03 06:04:09 PDT
(In reply to Build Bot from comment #9)
> Created attachment 353713 [details]
> Archive of layout-test-results from ews107 for mac-sierra-wk2
> 
> The attached test failures were seen while running run-webkit-tests on the
> mac-wk2-ews.
> Bot: ews107  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6

This test failure is unrelated.
Comment 11 WebKit Commit Bot 2018-11-03 06:30:37 PDT
Comment on attachment 353705 [details]
Patch

Clearing flags on attachment: 353705

Committed r237770: <https://trac.webkit.org/changeset/237770>
Comment 12 WebKit Commit Bot 2018-11-03 06:30:39 PDT
All reviewed patches have been landed.  Closing bug.